Bug 50255 - rpm --rebuild *.spec (wrong command) segfaults
rpm --rebuild *.spec (wrong command) segfaults
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-29 05:40 EDT by Pekka Savola
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-29 05:40:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2001-07-29 05:40:07 EDT
beta3, rpm-4.0.3-0.79.

rpm --rebuild somepackage.spec file segfaults.

Wrong, I know, but don't we all do stupid things in the morning? ;-)


(at the same time, I noticed that there were two odd files in /var/lib/rpm:

-rw-r--r--    1 root     root         8192 Jul 28 17:47 __db.001
-rw-r--r--    1 root     root      1310720 Jul 28 17:47 __db.002
(the date might suggest the time of the clean install of the system)

While these existed, rpm -ba would get stuck on them apparently:

[...]
access("/var/lib/rpm", W_OK)            = 0
access("/var/lib/rpm/__db.001", F_OK)   = 0
open("/usr/share/locale/en_US/LC_MESSAGES/rpm.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/rpm.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/var/lib/rpm/DB_CONFIG", O_RDONLY|O_LARGEFILE) = -1 ENOENT (No such file or directory)
stat64("/var/tmp", {st_dev=makedev(3, 3), st_ino=46001, st_mode=S_IFDIR|S_ISVTX|0777, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, 
st_blocks=2, st_size=1024, st_atime=1996/02/06-23:04:02, st_mtime=2001/07/29-12:05:47, st_ctime=2001/07/29-12:05:47}) = 0
open("/var/lib/rpm/__db.001", O_RDWR|O_LARGEFILE) = 3
fcntl64(0x3, 0x2, 0x1, 0)               = 0
fstat64(3, {st_dev=makedev(3, 3), st_ino=8002, st_mode=S_IFREG|0644, st_nlink=1, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=16, 
st_size=8192, st_atime=2001/07/29-12:21:32, st_mtime=2001/07/28-17:47:27, st_ctime=2001/07/28-17:47:27}) = 0
close(3)                                = 0
open("/var/lib/rpm/__db.001", O_RDWR|O_LARGEFILE) = 3
fcntl64(0x3, 0x2, 0x1, 0)               = 0
mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_SHARED, 3, 0) = 0x40027000
close(3)                                = 0
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout)
select(0, NULL, NULL, NULL, {0, 2000})  = 0 (Timeout)
select(0, NULL, NULL, NULL, {0, 4000})  = 0 (Timeout)
select(0, NULL, NULL, NULL, {0, 8000})  = 0 (Timeout)
select(0, NULL, NULL, NULL, {0, 16000}) = 0 (Timeout)
[...]

Removing them helped.  Hasn't been able to reproduce that. )
Comment 1 Jeff Johnson 2001-07-29 10:56:22 EDT
Yup, no fix yet, there's a window someplace wrto ^C handling.
Workaround by
	rm /var/lib/rpm/__db*
and restarting.

Note You need to log in before you can comment on or make changes to this bug.